import { VideohubAdapterInterface, VideohubConfigInterface, InputInterface, OutputInterface, SerialInterface } from './Types';
import { VideohubCommand } from './Command';
export declare class TestServerState implements VideohubAdapterInterface {
    private state;
    private events;
    constructor();
    getConfig(): VideohubConfigInterface;
    getName(): string;
    getDeviceName(): string;
    getInput(id: number): InputInterface;
    getOutput(id: number): OutputInterface;
    getMonitoringOutput(id: number): OutputInterface;
    getSerial(id: number): SerialInterface;
    process(cmd: VideohubCommand, _clientId: string): boolean;
    onChanges(handler: (cmd: VideohubCommand) => void): void;
}
